Bug 1007491 - SELinux is preventing /usr/bin/updatedb from 'getattr' accesses on the directory /etc/glusterfs.
SELinux is preventing /usr/bin/updatedb from 'getattr' accesses on the direct...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy (Show other bugs)
7.0
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
abrt_hash:a00c2080cd7e3cacb65d5fb9d1b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 11:09 EDT by Eric Blake
Modified: 2013-09-13 08:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-13 08:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2013-09-12 11:09:55 EDT
Description of problem:
appears to be the cron job for running updatedb
SELinux is preventing /usr/bin/updatedb from 'getattr' accesses on the directory /etc/glusterfs.

*****  Plugin catchall_labels (83.8 confidence) suggests   *******************

If you want to allow updatedb to have getattr access on the glusterfs directory
Then you need to change the label on /etc/glusterfs
Do
# semanage fcontext -a -t FILE_TYPE '/etc/glusterfs'
where FILE_TYPE is one of the following: NetworkManager_etc_rw_t, NetworkManager_etc_t, NetworkManager_exec_t, NetworkManager_initrc_exec_t, NetworkManager_log_t, NetworkManager_tmp_t, NetworkManager_unit_file_t, NetworkManager_var_lib_t, NetworkManager_var_run_t, abrt_dump_oops_exec_t, abrt_etc_t, abrt_exec_t, abrt_handle_event_exec_t, abrt_helper_exec_t, abrt_initrc_exec_t, abrt_retrace_cache_t, abrt_retrace_coredump_exec_t, abrt_retrace_spool_t, abrt_retrace_worker_exec_t, abrt_tmp_t, abrt_unit_file_t, abrt_upload_watch_exec_t, abrt_upload_watch_tmp_t, abrt_var_cache_t, abrt_var_log_t, abrt_var_run_t, abrt_watch_log_exec_t, accountsd_exec_t, accountsd_unit_file_t, accountsd_var_lib_t, acct_data_t, acct_exec_t, acct_initrc_exec_t, adjtime_t, admin_crontab_tmp_t, admin_home_t, admin_passwd_exec_t, afs_bosserver_exec_t, afs_cache_t, afs_config_t, afs_dbdir_t, afs_exec_t, afs_files_t, afs_fsserver_exec_t, afs_initrc_exec_t, afs_ka_db_t, afs_kaserver_exec_t, afs_logfile_t, afs_pt_db_t, afs_ptserver_exec_t, afs_vl_db_t, afs_vlserver_exec_t, aiccu_etc_t, aiccu_exec_t, aiccu_initrc_exec_t, aiccu_var_run_t, aide_db_t, aide_exec_t, aide_log_t, ajaxterm_exec_t, ajaxterm_initrc_exec_t, ajaxterm_var_run_t, alsa_etc_rw_t, alsa_exec_t, alsa_home_t, alsa_tmp_t, alsa_unit_file_t, alsa_var_lib_t, alsa_var_run_t, amanda_amandates_t, amanda_config_t, amanda_data_t, amanda_dumpdates_t, amanda_gnutarlists_t, amanda_inetd_exec_t, amanda_log_t, amanda_recover_dir_t, amanda_recover_exec_t, amanda_tmp_t, amanda_unit_file_t, amanda_usr_lib_t, amanda_var_lib_t, amtu_exec_t, amtu_initrc_exec_t, anaconda_exec_t, anacron_exec_t, anon_inodefs_t, antivirus_conf_t, antivirus_db_t, antivirus_exec_t, antivirus_initrc_exec_t, antivirus_log_t, antivirus_tmp_t, antivirus_unit_file_t, antivirus_var_run_t, apcupsd_exec_t, apcupsd_initrc_exec_t, apcupsd_lock_t, apcupsd_log_t, apcupsd_tmp_t, apcupsd_unit_file_t, apcupsd_var_run_t, apm_exec_t, apmd_exec_t, apmd_initrc_exec_t, apmd_lock_t, apmd_log_t, apmd_tmp_t, apmd_unit_file_t, apmd_var_lib_t, apmd_var_run_t, arpwatch_data_t, arpwatch_exec_t, arpwatch_initrc_exec_t, arpwatch_tmp_t, arpwatch_unit_file_t, arpwatch_var_run_t, asterisk_etc_t, asterisk_exec_t, asterisk_initrc_exec_t, asterisk_log_t, asterisk_spool_t, asterisk_t, asterisk_tmp_t, asterisk_tmpfs_t, asterisk_var_lib_t, asterisk_var_run_t, audio_home_t, audisp_exec_t, audisp_remote_exec_t, audisp_var_run_t, audit_spool_t, auditadm_sudo_tmp_t, auditctl_exec_t, auditd_etc_t, auditd_exec_t, auditd_initrc_exec_t, auditd_log_t, auditd_unit_file_t, auditd_var_run_t, auth_cache_t, auth_home_t, authconfig_exec_t, authconfig_var_lib_t, autofs_t, automount_exec_t, automount_initrc_exec_t, automount_keytab_t, automount_lock_t, automount_tmp_t, automount_unit_file_t, automount_var_run_t, avahi_exec_t, avahi_initrc_exec_t, avahi_unit_file_t, avahi_var_lib_t, avahi_var_run_t, awstats_exec_t, awstats_tmp_t, awstats_var_lib_t, bcfg2_exec_t, bcfg2_initrc_exec_t, bcfg2_unit_file_t, bcfg2_var_lib_t, bcfg2_var_run_t, bin_t, binfmt_misc_fs_t, bitlbee_conf_t, bitlbee_exec_t, bitlbee_initrc_exec_t, bitlbee_log_t, bitlbee_tmp_t, bitlbee_var_run_t, bitlbee_var_t, blktap_exec_t, blktap_var_run_t, blueman_exec_t, blueman_var_lib_t, blueman_var_run_t, bluetooth_conf_rw_t, bluetooth_conf_t, bluetooth_exec_t, bluetooth_helper_exec_t, bluetooth_helper_tmp_t, bluetooth_helper_tmpfs_t, bluetooth_initrc_exec_t, bluetooth_lock_t, bluetooth_tmp_t, bluetooth_unit_file_t, bluetooth_var_lib_t, bluetooth_var_run_t, boinc_exec_t, boinc_initrc_exec_t, boinc_log_t, boinc_project_tmp_t, boinc_project_var_lib_t, boinc_tmp_t, boinc_tmpfs_t, boinc_unit_file_t, boinc_var_lib_t, boot_runtime_t, boot_t, bootloader_etc_t, bootloader_exec_t, bootloader_tmp_t, bootloader_var_lib_t, bootloader_var_run_t, brctl_exec_t, cache_home_t, cachefiles_var_t, cachefilesd_exec_t, cachefilesd_var_run_t, calamaris_exec_t, calamaris_log_t, calamaris_www_t, callweaver_exec_t, callweaver_initrc_exec_t, callweaver_log_t, callweaver_spool_t, callweaver_var_lib_t, callweaver_var_run_t, canna_exec_t, canna_initrc_exec_t, canna_log_t, canna_var_lib_t, canna_var_run_t, capifs_t, cardctl_exec_t, cardmgr_dev_t, cardmgr_exec_t, cardmgr_lnk_t, cardmgr_var_lib_t, cardmgr_var_run_t, ccs_exec_t, ccs_initrc_exec_t, ccs_tmp_t, ccs_tmpfs_t, ccs_var_lib_t, ccs_var_log_t, ccs_var_run_t, cdcc_exec_t, cdcc_tmp_t, cdrecord_exec_t, cert_t, certmaster_etc_rw_t, certmaster_exec_t, certmaster_initrc_exec_t, certmaster_var_lib_t, certmaster_var_log_t, certmaster_var_run_t, certmonger_exec_t, certmonger_initrc_exec_t, certmonger_unconfined_exec_t, certmonger_var_lib_t, certmonger_var_run_t, certwatch_exec_t, cfengine_execd_exec_t, cfengine_initrc_exec_t, cfengine_log_t, cfengine_monitord_exec_t, cfengine_serverd_exec_t, cfengine_var_lib_t, cgclear_exec_t, cgconfig_etc_t, cgconfig_exec_t, cgconfig_initrc_exec_t, cgred_exec_t, cgred_initrc_exec_t, cgred_log_t, cgred_var_run_t, cgroup_t, cgrules_etc_t, checkpc_exec_t, checkpc_log_t, checkpolicy_exec_t, chfn_exec_t, chkpwd_exec_t, chrome_sandbox_exec_t, chrome_sandbox_home_t, chrome_sandbox_nacl_exec_t, chrome_sandbox_tmp_t, chrome_sandbox_tmpfs_t, chronyd_exec_t, chronyd_initrc_exec_t, chronyd_keys_t, chronyd_tmpfs_t, chronyd_unit_file_t, chronyd_var_lib_t, chronyd_var_log_t, chronyd_var_run_t, chroot_exec_t, cifs_t, ciped_exec_t, ciped_initrc_exec_t, clogd_exec_t, clogd_tmpfs_t, clogd_var_run_t, cloud_init_exec_t, cloud_init_tmp_t, cloud_init_unit_file_t, cloud_log_t, cloud_var_lib_t, cluster_conf_t, cluster_exec_t, cluster_initrc_exec_t, cluster_tmp_t, cluster_tmpfs_t, cluster_unit_file_t, cluster_var_lib_t, cluster_var_log_t, cluster_var_run_t, clvmd_exec_t, clvmd_initrc_exec_t, clvmd_tmpfs_t, clvmd_var_run_t, cmirrord_exec_t, cmirrord_initrc_exec_t, cmirrord_tmpfs_t, cmirrord_var_run_t, cobbler_etc_t, cobbler_tmp_t, cobbler_var_lib_t, cobbler_var_log_t, cobblerd_exec_t, cobblerd_initrc_exec_t, collectd_exec_t, collectd_initrc_exec_t, collectd_unit_file_t, collectd_var_lib_t, collectd_var_run_t, colord_exec_t, colord_tmp_t, colord_tmpfs_t, colord_unit_file_t, colord_var_lib_t, comsat_exec_t, comsat_tmp_t, comsat_var_run_t, condor_collector_exec_t, condor_etc_rw_t, condor_initrc_exec_t, condor_log_t, condor_master_exec_t, condor_master_tmp_t, condor_negotiator_exec_t, condor_procd_exec_t, condor_schedd_exec_t, condor_schedd_tmp_t, condor_startd_exec_t, condor_startd_tmp_t, condor_startd_tmpfs_t, condor_unit_file_t, condor_var_lib_t, condor_var_lock_t, condor_var_run_t, config_home_t, config_usr_t, consolehelper_exec_t, consolekit_exec_t, consolekit_log_t, consolekit_tmpfs_t, consolekit_unit_file_t, consolekit_var_run_t, couchdb_conf_t, couchdb_exec_t, couchdb_initrc_exec_t, couchdb_log_t, couchdb_tmp_t, couchdb_unit_file_t, couchdb_var_lib_t, couchdb_var_run_t, courier_authdaemon_exec_t, courier_etc_t, courier_exec_t, courier_pcp_exec_t, courier_pop_exec_t, courier_spool_t, courier_sqwebmail_exec_t, courier_tcpd_exec_t, courier_var_lib_t, courier_var_run_t, cpu_online_t, cpucontrol_conf_t, cpucontrol_exec_t, cpufreqselector_exec_t, cpuspeed_exec_t, cpuspeed_var_run_t, crack_db_t, crack_exec_t, crack_tmp_t, cron_log_t, cron_spool_t, cron_var_lib_t, cron_var_run_t, crond_exec_t, crond_initrc_exec_t, crond_tmp_t, crond_unit_file_t, crond_var_run_t, crontab_exec_t, crontab_tmp_t, ctdbd_exec_t, ctdbd_initrc_exec_t, ctdbd_log_t, ctdbd_spool_t, ctdbd_tmp_t, ctdbd_var_lib_t, ctdbd_var_run_t, cups_pdf_exec_t, cups_pdf_tmp_t, cupsd_config_exec_t, cupsd_config_var_run_t, cupsd_etc_t, cupsd_exec_t, cupsd_initrc_exec_t, cupsd_interface_t, cupsd_lock_t, cupsd_log_t, cupsd_lpd_exec_t, cupsd_lpd_tmp_t, cupsd_lpd_var_run_t, cupsd_rw_etc_t, cupsd_tmp_t, cupsd_unit_file_t, cupsd_var_lib_t, cupsd_var_run_t, cvs_data_t, cvs_exec_t, cvs_initrc_exec_t, cvs_keytab_t, cvs_tmp_t, cvs_var_run_t, cyphesis_exec_t, cyphesis_initrc_exec_t, cyphesis_log_t, cyphesis_tmp_t, cyphesis_var_run_t, cyrus_exec_t, cyrus_initrc_exec_t, cyrus_keytab_t, cyrus_tmp_t, cyrus_var_lib_t, cyrus_var_run_t, data_home_t, dbadm_sudo_tmp_t, dbskkd_exec_t, dbskkd_tmp_t, dbskkd_var_run_t, dbus_home_t, dbusd_etc_t, dbusd_exec_t, dcc_client_exec_t, dcc_client_map_t, dcc_client_tmp_t, dcc_dbclean_exec_t, dcc_dbclean_tmp_t, dcc_var_run_t, dcc_var_t, dccd_exec_t, dccd_tmp_t, dccd_var_run_t, dccifd_exec_t, dccifd_tmp_t, dccifd_var_run_t, dccm_exec_t, dccm_tmp_t, dccm_var_run_t, dcerpcd_exec_t, dcerpcd_var_lib_t, dcerpcd_var_run_t, dcerpcd_var_socket_t, ddclient_etc_t, ddclient_exec_t, ddclient_initrc_exec_t, ddclient_log_t, ddclient_tmp_t, ddclient_var_lib_t, ddclient_var_run_t, ddclient_var_t, debugfs_t, debuginfo_exec_t, default_context_t, default_t, deltacloudd_exec_t, deltacloudd_log_t, deltacloudd_tmp_t, deltacloudd_var_run_t, denyhosts_exec_t, denyhosts_initrc_exec_t, denyhosts_var_lib_t, denyhosts_var_lock_t, denyhosts_var_log_t, depmod_exec_t, device_t, devicekit_disk_exec_t, devicekit_exec_t, devicekit_power_exec_t, devicekit_tmp_t, devicekit_var_lib_t, devicekit_var_log_t, devicekit_var_run_t, devlog_t, devpts_t, dhcp_etc_t, dhcp_state_t, dhcpc_exec_t, dhcpc_helper_exec_t, dhcpc_state_t, dhcpc_tmp_t, dhcpc_var_run_t, dhcpd_exec_t, dhcpd_initrc_exec_t, dhcpd_state_t, dhcpd_tmp_t, dhcpd_unit_file_t, dhcpd_var_run_t, dictd_etc_t, dictd_exec_t, dictd_initrc_exec_t, dictd_var_lib_t, dictd_var_run_t, dirsrv_config_t, dirsrv_exec_t, dirsrv_share_t, dirsrv_snmp_exec_t, dirsrv_snmp_var_log_t, dirsrv_snmp_var_run_t, dirsrv_tmp_t, dirsrv_tmpfs_t, dirsrv_var_lib_t, dirsrv_var_lock_t, dirsrv_var_log_t, dirsrv_var_run_t, dirsrvadmin_config_t, dirsrvadmin_exec_t, dirsrvadmin_lock_t, dirsrvadmin_tmp_t, dirsrvadmin_unconfined_script_exec_t, disk_munin_plugin_exec_t, disk_munin_plugin_tmp_t, dkim_milter_data_t, dkim_milter_exec_t, dkim_milter_private_key_t, dlm_controld_exec_t, dlm_controld_initrc_exec_t, dlm_controld_tmpfs_t, dlm_controld_var_log_t, dlm_controld_var_run_t, dmesg_exec_t, dmidecode_exec_t, dnsmasq_etc_t, dnsmasq_exec_t, dnsmasq_initrc_exec_t, dnsmasq_lease_t, dnsmasq_unit_file_t, dnsmasq_var_log_t, dnsmasq_var_run_t, dnssec_t, dnssec_trigger_exec_t, dnssec_trigger_var_run_t, dosfs_t, dovecot_auth_exec_t, dovecot_auth_tmp_t, dovecot_cert_t, dovecot_deliver_exec_t, dovecot_deliver_tmp_t, dovecot_etc_t, dovecot_exec_t, dovecot_initrc_exec_t, dovecot_keytab_t, dovecot_passwd_t, dovecot_spool_t, dovecot_tmp_t, dovecot_var_lib_t, dovecot_var_log_t, dovecot_var_run_t, drbd_exec_t, drbd_initrc_exec_t, drbd_lock_t, drbd_var_lib_t, dspam_exec_t, dspam_initrc_exec_t, dspam_log_t, dspam_var_lib_t, dspam_var_run_t, ecryptfs_t, efivarfs_t, entropyd_exec_t, entropyd_initrc_exec_t, entropyd_var_run_t, etc_aliases_t, etc_mail_t, etc_runtime_t, etc_t, eventlogd_exec_t, eventlogd_var_lib_t, eventlogd_var_run_t, eventlogd_var_socket_t, evtchnd_exec_t, evtchnd_var_log_t, evtchnd_var_run_t, exim_exec_t, exim_initrc_exec_t, exim_keytab_t, exim_log_t, exim_spool_t, exim_tmp_t, exim_var_run_t, exports_t, fail2ban_client_exec_t, fail2ban_exec_t, fail2ban_initrc_exec_t, fail2ban_log_t, fail2ban_tmp_t, fail2ban_var_lib_t, fail2ban_var_run_t, faillog_t, fcoemon_exec_t, fcoemon_initrc_exec_t, fcoemon_var_run_t, fenced_exec_t, fenced_lock_t, fenced_tmp_t, fenced_tmpfs_t, fenced_var_log_t, fenced_var_run_t, fetchmail_etc_t, fetchmail_exec_t, fetchmail_home_t, fetchmail_initrc_exec_t, fetchmail_log_t, fetchmail_uidl_cache_t, fetchmail_var_run_t, file_context_t, file_t, fingerd_etc_t, fingerd_exec_t, fingerd_log_t, fingerd_var_run_t, firewalld_etc_rw_t, firewalld_exec_t, firewalld_initrc_exec_t, firewalld_tmp_t, firewalld_tmpfs_t, firewalld_unit_file_t, firewalld_var_log_t, firewalld_var_run_t, firewallgui_exec_t, firewallgui_tmp_t, firstboot_etc_t, firstboot_exec_t, foghorn_exec_t, foghorn_initrc_exec_t, foghorn_tmpfs_t, foghorn_var_log_t, foghorn_var_run_t, fonts_cache_t, fonts_t, fprintd_exec_t, fprintd_var_lib_t, fsadm_exec_t, fsadm_log_t, fsadm_tmp_t, fsadm_var_run_t, fsdaemon_exec_t, fsdaemon_initrc_exec_t, fsdaemon_tmp_t, fsdaemon_var_lib_t, fsdaemon_var_run_t, ftpd_etc_t, ftpd_exec_t, ftpd_initrc_exec_t, ftpd_keytab_t, ftpd_lock_t, ftpd_tmp_t, ftpd_tmpfs_t, ftpd_unit_file_t, ftpd_var_run_t, ftpdctl_exec_t, ftpdctl_tmp_t, fusefs_t, fusermount_exec_t, games_data_t, games_exec_t, games_srv_var_run_t, games_tmp_t, games_tmpfs_t, gconf_etc_t, gconf_home_t, gconf_tmp_t, gconfd_exec_t, gconfdefaultsm_exec_t, getty_etc_t, getty_exec_t, getty_lock_t, getty_log_t, getty_tmp_t, getty_unit_file_t, getty_var_run_t, gfs_controld_exec_t, gfs_controld_tmpfs_t, gfs_controld_var_log_t, gfs_controld_var_run_t, git_sys_content_t, git_user_content_t, gitd_exec_t, gitosis_exec_t, gitosis_var_lib_t, gkeyringd_exec_t, gkeyringd_gnome_home_t, gkeyringd_tmp_t, glance_api_exec_t, glance_api_initrc_exec_t, glance_log_t, glance_registry_exec_t, glance_registry_initrc_exec_t, glance_registry_tmp_t, glance_registry_tmpfs_t, glance_tmp_t, glance_var_lib_t, glance_var_run_t, glusterd_conf_t, glusterd_exec_t, glusterd_initrc_exec_t, glusterd_log_t, glusterd_tmp_t, glusterd_var_lib_t, glusterd_var_run_t, gnome_home_t, gnomesystemmm_exec_t, gpg_agent_exec_t, gpg_agent_tmp_t, gpg_exec_t, gpg_helper_exec_t, gpg_pinentry_tmp_t, gpg_pinentry_tmpfs_t, gpg_secret_t, gpm_conf_t, gpm_exec_t, gpm_initrc_exec_t, gpm_tmp_t, gpm_var_run_t, gpmctl_t, gpsd_exec_t, gpsd_initrc_exec_t, gpsd_tmpfs_t, gpsd_var_run_t, greylist_milter_data_t, greylist_milter_exec_t, groupadd_exec_t, groupd_exec_t, groupd_tmpfs_t, groupd_var_log_t, groupd_var_run_t, gssd_exec_t, gssd_keytab_t, gssd_tmp_t, gssproxy_exec_t, gssproxy_keytab_t, gssproxy_unit_file_t, gssproxy_var_lib_t, gssproxy_var_run_t, gstreamer_home_t, haproxy_exec_t, haproxy_tmpfs_t, haproxy_unit_file_t, haproxy_var_lib_t, haproxy_var_log_t, haproxy_var_run_t, hddtemp_etc_t, hddtemp_exec_t, hddtemp_initrc_exec_t, home_bin_t, home_cert_t, home_root_t, hostname_etc_t, hostname_exec_t, httpd_apcupsd_cgi_content_t, httpd_apcupsd_cgi_htaccess_t, httpd_apcupsd_cgi_ra_content_t, httpd_apcupsd_cgi_rw_content_t, httpd_apcupsd_cgi_script_exec_t, httpd_awstats_content_t, httpd_awstats_htaccess_t, httpd_awstats_ra_content_t, httpd_awstats_rw_content_t, httpd_awstats_script_exec_t, httpd_bugzilla_content_t, httpd_bugzilla_htaccess_t, httpd_bugzilla_ra_content_t, httpd_bugzilla_rw_content_t, httpd_bugzilla_script_exec_t, httpd_bugzilla_tmp_t, httpd_cache_t, httpd_collectd_content_t, httpd_collectd_htaccess_t, httpd_collectd_ra_content_t, httpd_collectd_rw_content_t, httpd_collectd_script_exec_t, httpd_collectd_script_tmp_t, httpd_config_t, httpd_cvs_content_t, httpd_cvs_htaccess_t, httpd_cvs_ra_content_t, httpd_cvs_rw_content_t, httpd_cvs_script_exec_t, httpd_dirsrvadmin_content_t, httpd_dirsrvadmin_htaccess_t, httpd_dirsrvadmin_ra_content_t, httpd_dirsrvadmin_rw_content_t, httpd_dirsrvadmin_script_exec_t, httpd_dspam_content_t, httpd_dspam_htaccess_t, httpd_dspam_ra_content_t, httpd_dspam_rw_content_t, httpd_dspam_script_exec_t, httpd_exec_t, httpd_git_content_t, httpd_git_htaccess_t, httpd_git_ra_content_t, httpd_git_rw_content_t, httpd_git_script_exec_t, httpd_helper_exec_t, httpd_initrc_exec_t, httpd_keytab_t, httpd_lock_t, httpd_log_t, httpd_man2html_content_t, httpd_man2html_htaccess_t, httpd_man2html_ra_content_t, httpd_man2html_rw_content_t, httpd_man2html_script_cache_t, httpd_man2html_script_exec_t, httpd_mediawiki_content_t, httpd_mediawiki_htaccess_t, httpd_mediawiki_ra_content_t, httpd_mediawiki_rw_content_t, httpd_mediawiki_script_exec_t, httpd_modules_t, httpd_mojomojo_content_t, httpd_mojomojo_htaccess_t, httpd_mojomojo_ra_content_t, httpd_mojomojo_rw_content_t, httpd_mojomojo_script_exec_t, httpd_mojomojo_tmp_t, httpd_munin_content_t, httpd_munin_htaccess_t, httpd_munin_ra_content_t, httpd_munin_rw_content_t, httpd_munin_script_exec_t, httpd_munin_script_tmp_t, httpd_mythtv_content_t, httpd_mythtv_htaccess_t, httpd_mythtv_ra_content_t, httpd_mythtv_rw_content_t, httpd_mythtv_script_exec_t, httpd_nagios_content_t, httpd_nagios_htaccess_t, httpd_nagios_ra_content_t, httpd_nagios_rw_content_t, httpd_nagios_script_exec_t, httpd_nutups_cgi_content_t, httpd_nutups_cgi_htaccess_t, httpd_nutups_cgi_ra_content_t, httpd_nutups_cgi_rw_content_t, httpd_nutups_cgi_script_exec_t, httpd_openshift_content_t, httpd_openshift_htaccess_t, httpd_openshift_ra_content_t, httpd_openshift_rw_content_t, httpd_openshift_script_exec_t, httpd_passwd_exec_t, httpd_php_exec_t, httpd_php_tmp_t, httpd_prewikka_content_t, httpd_prewikka_htaccess_t, httpd_prewikka_ra_content_t, httpd_prewikka_rw_content_t, httpd_prewikka_script_exec_t, httpd_rotatelogs_exec_t, httpd_smokeping_cgi_content_t, httpd_smokeping_cgi_htaccess_t, httpd_smokeping_cgi_ra_content_t, httpd_smokeping_cgi_rw_content_t, httpd_smokeping_cgi_script_exec_t, httpd_squid_content_t, httpd_squid_htaccess_t, httpd_squid_ra_content_t, httpd_squid_rw_content_t, httpd_squid_script_exec_t, httpd_squirrelmail_t, httpd_suexec_exec_t, httpd_suexec_tmp_t, httpd_sys_content_t, httpd_sys_htaccess_t, httpd_sys_ra_content_t, httpd_sys_rw_content_t, httpd_sys_script_exec_t, httpd_tmp_t, httpd_tmpfs_t, httpd_unconfined_script_exec_t, httpd_unit_file_t, httpd_user_content_t, httpd_user_htaccess_t, httpd_user_ra_content_t, httpd_user_rw_content_t, httpd_user_script_exec_t, httpd_var_lib_t, httpd_var_run_t, httpd_w3c_validator_content_t, httpd_w3c_validator_htaccess_t, httpd_w3c_validator_ra_content_t, httpd_w3c_validator_rw_content_t, httpd_w3c_validator_script_exec_t, httpd_webalizer_content_t, httpd_webalizer_htaccess_t, httpd_webalizer_ra_content_t, httpd_webalizer_rw_content_t, httpd_webalizer_script_exec_t, httpd_zoneminder_content_t, httpd_zoneminder_htaccess_t, httpd_zoneminder_ra_content_t, httpd_zoneminder_rw_content_t, httpd_zoneminder_script_exec_t, hugetlbfs_t, hwclock_exec_t, hwdata_t, hypervkvp_exec_t, hypervkvp_initrc_exec_t, hypervkvp_var_lib_t, icc_data_home_t, iceauth_exec_t, iceauth_home_t, icecast_exec_t, icecast_initrc_exec_t, icecast_log_t, icecast_var_run_t, ifconfig_exec_t, ifconfig_var_run_t, inetd_child_exec_t, inetd_child_tmp_t, inetd_child_var_run_t, inetd_exec_t, inetd_log_t, inetd_tmp_t, inetd_var_run_t, init_exec_t, init_var_lib_t, init_var_run_t, initctl_t, initrc_devpts_t, initrc_exec_t, initrc_state_t, initrc_tmp_t, initrc_var_log_t, initrc_var_run_t, innd_etc_t, innd_exec_t, innd_initrc_exec_t, innd_log_t, innd_var_lib_t, innd_var_run_t, insmod_exec_t, insmod_tmpfs_t, insmod_var_run_t, iodined_exec_t, iodined_initrc_exec_t, iodined_unit_file_t, ipsec_conf_file_t, ipsec_exec_t, ipsec_initrc_exec_t, ipsec_key_file_t, ipsec_log_t, ipsec_mgmt_exec_t, ipsec_mgmt_lock_t, ipsec_mgmt_unit_file_t, ipsec_mgmt_var_run_t, ipsec_tmp_t, ipsec_var_run_t, iptables_exec_t, iptables_initrc_exec_t, iptables_tmp_t, iptables_unit_file_t, iptables_var_run_t, irc_conf_t, irc_exec_t, irc_home_t, irc_tmp_t, irqbalance_exec_t, irqbalance_initrc_exec_t, irqbalance_var_run_t, irssi_etc_t, irssi_exec_t, irssi_home_t, iscsi_lock_t, iscsi_log_t, iscsi_tmp_t, iscsi_unit_file_t, iscsi_var_lib_t, iscsi_var_run_t, iscsid_exec_t, isnsd_exec_t, isnsd_initrc_exec_t, isnsd_var_lib_t, isnsd_var_run_t, iso9660_t, iwhd_exec_t, iwhd_initrc_exec_t, iwhd_log_t, iwhd_var_lib_t, iwhd_var_run_t, jabberd_exec_t, jabberd_initrc_exec_t, jabberd_router_exec_t, jabberd_var_lib_t, jetty_cache_t, jetty_log_t, jetty_var_lib_t, jetty_var_run_t, jockey_cache_t, jockey_exec_t, jockey_var_log_t, kadmind_exec_t, kadmind_log_t, kadmind_tmp_t, kadmind_var_run_t, kdump_crash_t, kdump_etc_t, kdump_exec_t, kdump_initrc_exec_t, kdump_unit_file_t, kdumpctl_exec_t, kdumpctl_tmp_t, kdumpgui_exec_t, kdumpgui_tmp_t, kerberos_initrc_exec_t, keyboardd_exec_t, keystone_exec_t, keystone_initrc_exec_t, keystone_log_t, keystone_tmp_t, keystone_unit_file_t, keystone_var_lib_t, kismet_exec_t, kismet_home_t, kismet_initrc_exec_t, kismet_log_t, kismet_tmp_t, kismet_tmpfs_t, kismet_var_lib_t, kismet_var_run_t, klogd_exec_t, klogd_tmp_t, klogd_var_run_t, kpropd_exec_t, krb5_conf_t, krb5_home_t, krb5_host_rcache_t, krb5_keytab_t, krb5kdc_conf_t, krb5kdc_exec_t, krb5kdc_lock_t, krb5kdc_log_t, krb5kdc_principal_t, krb5kdc_tmp_t, krb5kdc_var_run_t, ksmtuned_exec_t, ksmtuned_initrc_exec_t, ksmtuned_log_t, ksmtuned_unit_file_t, ksmtuned_var_run_t, ktalkd_exec_t, ktalkd_log_t, ktalkd_tmp_t, ktalkd_unit_file_t, l2tp_conf_t, l2tpd_exec_t, l2tpd_initrc_exec_t, l2tpd_tmp_t, l2tpd_var_run_t, lastlog_t, ld_so_cache_t, ld_so_t, ldconfig_cache_t, ldconfig_exec_t, ldconfig_tmp_t, lib_t, likewise_etc_t, likewise_initrc_exec_t, likewise_krb5_ad_t, likewise_pstore_lock_t, likewise_var_lib_t, lircd_etc_t, lircd_exec_t, lircd_initrc_exec_t, lircd_var_run_t, livecd_exec_t, livecd_tmp_t, lldpad_exec_t, lldpad_initrc_exec_t, lldpad_tmpfs_t, lldpad_var_lib_t, lldpad_var_run_t, load_policy_exec_t, loadkeys_exec_t, local_login_home_t, local_login_lock_t, locale_t, locate_exec_t, locate_var_lib_t, lockdev_exec_t, lockdev_lock_t, login_exec_t, logrotate_exec_t, logrotate_lock_t, logrotate_mail_tmp_t, logrotate_tmp_t, logrotate_var_lib_t, logwatch_cache_t, logwatch_exec_t, logwatch_lock_t, logwatch_mail_tmp_t, logwatch_tmp_t, logwatch_var_run_t, lost_found_t, lpd_exec_t, lpd_tmp_t, lpd_var_run_t, lpr_exec_t, lpr_tmp_t, lsassd_exec_t, lsassd_tmp_t, lsassd_var_lib_t, lsassd_var_run_t, lsassd_var_socket_t, lsmd_exec_t, lsmd_unit_file_t, lsmd_var_run_t, lvm_etc_t, lvm_exec_t, lvm_lock_t, lvm_metadata_t, lvm_tmp_t, lvm_unit_file_t, lvm_var_lib_t, lvm_var_run_t, lwiod_exec_t, lwiod_var_lib_t, lwiod_var_run_t, lwiod_var_socket_t, lwregd_exec_t, lwregd_var_lib_t, lwregd_var_run_t, lwregd_var_socket_t, lwsmd_exec_t, lwsmd_var_lib_t, lwsmd_var_run_t, lwsmd_var_socket_t, machineid_t, mail_home_rw_t, mail_home_t, mail_munin_plugin_exec_t, mail_munin_plugin_tmp_t, mail_spool_t, mailman_archive_t, mailman_cgi_exec_t, mailman_cgi_tmp_t, mailman_data_t, mailman_lock_t, mailman_log_t, mailman_mail_exec_t, mailman_mail_tmp_t, mailman_queue_exec_t, mailman_queue_tmp_t, mailman_var_run_t, man_cache_t, man_t, mandb_cache_t, mandb_exec_t, mandb_home_t, mandb_lock_t, mcelog_etc_t, mcelog_exec_t, mcelog_initrc_exec_t, mcelog_log_t, mcelog_var_run_t, mdadm_exec_t, mdadm_initrc_exec_t, mdadm_tmp_t, mdadm_unit_file_t, mdadm_var_run_t, memcached_exec_t, memcached_initrc_exec_t, memcached_var_run_t, mencoder_exec_t, mnt_t, mock_build_exec_t, mock_cache_t, mock_etc_t, mock_exec_t, mock_tmp_t, mock_var_lib_t, mock_var_run_t, modemmanager_exec_t, modemmanager_unit_file_t, modules_conf_t, modules_dep_t, modules_object_t, mongod_exec_t, mongod_initrc_exec_t, mongod_log_t, mongod_tmp_t, mongod_var_lib_t, mongod_var_run_t, mount_ecryptfs_exec_t, mount_ecryptfs_tmpfs_t, mount_exec_t, mount_loopback_t, mount_tmp_t, mount_var_run_t, mozilla_conf_t, mozilla_exec_t, mozilla_home_t, mozilla_plugin_config_exec_t, mozilla_plugin_exec_t, mozilla_plugin_rw_t, mozilla_plugin_tmp_t, mozilla_plugin_tmpfs_t, mozilla_tmp_t, mozilla_tmpfs_t, mpd_data_t, mpd_etc_t, mpd_exec_t, mpd_initrc_exec_t, mpd_log_t, mpd_tmp_t, mpd_tmpfs_t, mpd_user_data_t, mpd_var_lib_t, mpd_var_run_t, mplayer_etc_t, mplayer_exec_t, mplayer_home_t, mplayer_tmpfs_t, mqueue_spool_t, mrtg_etc_t, mrtg_exec_t, mrtg_initrc_exec_t, mrtg_lock_t, mrtg_log_t, mrtg_var_lib_t, mrtg_var_run_t, mscan_etc_t, mscan_exec_t, mscan_initrc_exec_t, mscan_spool_t, mscan_tmp_t, mscan_var_run_t, munin_etc_t, munin_exec_t, munin_initrc_exec_t, munin_log_t, munin_plugin_state_t, munin_tmp_t, munin_var_lib_t, munin_var_run_t, mysqld_db_t, mysqld_etc_t, mysqld_exec_t, mysqld_home_t, mysqld_initrc_exec_t, mysqld_log_t, mysqld_safe_exec_t, mysqld_tmp_t, mysqld_unit_file_t, mysqld_var_run_t, mysqlmanagerd_exec_t, mysqlmanagerd_initrc_exec_t, mysqlmanagerd_var_run_t, mythtv_var_lib_t, mythtv_var_log_t, nagios_admin_plugin_exec_t, nagios_checkdisk_plugin_exec_t, nagios_etc_t, nagios_eventhandler_plugin_exec_t, nagios_eventhandler_plugin_tmp_t, nagios_exec_t, nagios_initrc_exec_t, nagios_log_t, nagios_mail_plugin_exec_t, nagios_openshift_plugin_exec_t, nagios_openshift_plugin_tmp_t, nagios_services_plugin_exec_t, nagios_spool_t, nagios_system_plugin_exec_t, nagios_system_plugin_tmp_t, nagios_tmp_t, nagios_unconfined_plugin_exec_t, nagios_var_lib_t, nagios_var_run_t, named_cache_t, named_checkconf_exec_t, named_conf_t, named_exec_t, named_initrc_exec_t, named_keytab_t, named_log_t, named_tmp_t, named_unit_file_t, named_var_run_t, named_zone_t, namespace_init_exec_t, ncftool_exec_t, ndc_exec_t, net_conf_t, netlabel_mgmt_exec_t, netlabel_mgmt_unit_file_t, netlogond_exec_t, netlogond_var_lib_t, netlogond_var_run_t, netlogond_var_socket_t, netutils_exec_t, netutils_tmp_t, newrole_exec_t, news_spool_t, nfs_t, nfsd_exec_t, nfsd_fs_t, nfsd_initrc_exec_t, nfsd_unit_file_t, nis_initrc_exec_t, nis_unit_file_t, nmbd_exec_t, nmbd_var_run_t, no_access_t, nova_ajax_exec_t, nova_ajax_tmp_t, nova_ajax_unit_file_t, nova_api_exec_t, nova_api_tmp_t, nova_api_unit_file_t, nova_cert_exec_t, nova_cert_tmp_t, nova_cert_unit_file_t, nova_compute_exec_t, nova_compute_tmp_t, nova_compute_unit_file_t, nova_console_exec_t, nova_console_tmp_t, nova_console_unit_file_t, nova_direct_exec_t, nova_direct_tmp_t, nova_direct_unit_file_t, nova_log_t, nova_network_exec_t, nova_network_tmp_t, nova_network_unit_file_t, nova_objectstore_exec_t, nova_objectstore_tmp_t, nova_objectstore_unit_file_t, nova_scheduler_exec_t, nova_scheduler_tmp_t, nova_scheduler_unit_file_t, nova_var_lib_t, nova_var_run_t, nova_vncproxy_exec_t, nova_vncproxy_tmp_t, nova_vncproxy_unit_file_t, nova_volume_exec_t, nova_volume_tmp_t, nova_volume_unit_file_t, nrpe_etc_t, nrpe_exec_t, nrpe_var_run_t, nscd_exec_t, nscd_initrc_exec_t, nscd_log_t, nscd_unit_file_t, nscd_var_run_t, nsd_conf_t, nsd_exec_t, nsd_var_run_t, nsd_zone_t, nslcd_conf_t, nslcd_exec_t, nslcd_initrc_exec_t, nslcd_var_run_t, ntop_etc_t, ntop_exec_t, ntop_initrc_exec_t, ntop_tmp_t, ntop_var_lib_t, ntop_var_run_t, ntp_conf_t, ntp_drift_t, ntpd_exec_t, ntpd_initrc_exec_t, ntpd_key_t, ntpd_log_t, ntpd_tmp_t, ntpd_tmpfs_t, ntpd_unit_file_t, ntpd_var_run_t, ntpdate_exec_t, numad_exec_t, numad_unit_file_t, numad_var_log_t, numad_var_run_t, nut_conf_t, nut_unit_file_t, nut_upsd_exec_t, nut_upsdrvctl_exec_t, nut_upsmon_exec_t, nut_var_run_t, nx_server_exec_t, nx_server_home_ssh_t, nx_server_tmp_t, nx_server_var_lib_t, nx_server_var_run_t, obex_exec_t, oddjob_exec_t, oddjob_mkhomedir_exec_t, oddjob_unit_file_t, oddjob_var_run_t, openct_exec_t, openct_initrc_exec_t, openct_var_run_t, openhpid_exec_t, openhpid_initrc_exec_t, openhpid_var_lib_t, openhpid_var_run_t, openshift_cgroup_read_exec_t, openshift_cgroup_read_tmp_t, openshift_cron_exec_t, openshift_cron_tmp_t, openshift_initrc_exec_t, openshift_initrc_tmp_t, openshift_log_t, openshift_rw_file_t, openshift_tmp_t, openshift_tmpfs_t, openshift_var_lib_t, openshift_var_run_t, openvpn_etc_rw_t, openvpn_etc_t, openvpn_exec_t, openvpn_initrc_exec_t, openvpn_status_t, openvpn_tmp_t, openvpn_unconfined_script_exec_t, openvpn_var_lib_t, openvpn_var_log_t, openvpn_var_run_t, openvswitch_exec_t, openvswitch_log_t, openvswitch_rw_t, openvswitch_tmp_t, openvswitch_unit_file_t, openvswitch_var_lib_t, openvswitch_var_run_t, oracleasm_exec_t, oracleasm_initrc_exec_t, oracleasmfs_t, pads_config_t, pads_exec_t, pads_initrc_exec_t, pads_var_run_t, pam_console_exec_t, pam_timestamp_exec_t, pam_timestamp_tmp_t, pam_var_console_t, pam_var_run_t, passenger_exec_t, passenger_log_t, passenger_tmp_t, passenger_var_lib_t, passenger_var_run_t, passwd_exec_t, passwd_file_t, pcscd_exec_t, pcscd_initrc_exec_t, pcscd_var_run_t, pegasus_cache_t, pegasus_conf_t, pegasus_data_t, pegasus_exec_t, pegasus_mof_t, pegasus_openlmi_account_exec_t, pegasus_openlmi_admin_exec_t, pegasus_openlmi_logicalfile_exec_t, pegasus_openlmi_services_exec_t, pegasus_openlmi_storage_exec_t, pegasus_openlmi_storage_lib_t, pegasus_openlmi_storage_tmp_t, pegasus_openlmi_system_exec_t, pegasus_openlmi_unconfined_exec_t, pegasus_tmp_t, pegasus_var_run_t, pesign_exec_t, pesign_unit_file_t, pesign_var_run_t, pinentry_exec_t, ping_exec_t, pingd_etc_t, pingd_exec_t, pingd_initrc_exec_t, pingd_modules_t, piranha_etc_rw_t, piranha_fos_exec_t, piranha_fos_var_run_t, piranha_log_t, piranha_lvs_exec_t, piranha_lvs_var_run_t, piranha_pulse_exec_t, piranha_pulse_initrc_exec_t, piranha_pulse_var_run_t, piranha_web_conf_t, piranha_web_data_t, piranha_web_exec_t, piranha_web_tmp_t, piranha_web_tmpfs_t, piranha_web_var_run_t, pkcsslotd_exec_t, pkcsslotd_lock_t, pkcsslotd_tmp_t, pkcsslotd_tmpfs_t, pkcsslotd_unit_file_t, pkcsslotd_var_lib_t, pkcsslotd_var_run_t, pki_common_dev_t, pki_common_t, pki_log_t, pki_ra_etc_rw_t, pki_ra_exec_t, pki_ra_lock_t, pki_ra_log_t, pki_ra_script_exec_t, pki_ra_tmp_t, pki_ra_tomcat_exec_t, pki_ra_var_lib_t, pki_ra_var_run_t, pki_tomcat_cache_t, pki_tomcat_cert_t, pki_tomcat_etc_rw_t, pki_tomcat_exec_t, pki_tomcat_lock_t, pki_tomcat_log_t, pki_tomcat_tmp_t, pki_tomcat_unit_file_t, pki_tomcat_var_lib_t, pki_tomcat_var_run_t, pki_tps_etc_rw_t, pki_tps_exec_t, pki_tps_lock_t, pki_tps_log_t, pki_tps_script_exec_t, pki_tps_tmp_t, pki_tps_tomcat_exec_t, pki_tps_var_lib_t, pki_tps_var_run_t, plymouth_exec_t, plymouthd_exec_t, plymouthd_spool_t, plymouthd_var_lib_t, plymouthd_var_log_t, plymouthd_var_run_t, podsleuth_cache_t, podsleuth_exec_t, podsleuth_tmp_t, podsleuth_tmpfs_t, policy_src_t, policykit_auth_exec_t, policykit_exec_t, policykit_grant_exec_t, policykit_reload_t, policykit_resolve_exec_t, policykit_tmp_t, policykit_var_lib_t, policykit_var_run_t, polipo_cache_home_t, polipo_cache_t, polipo_config_home_t, polipo_etc_t, polipo_exec_t, polipo_initrc_exec_t, polipo_log_t, polipo_pid_t, polipo_unit_file_t, poly_t, portmap_exec_t, portmap_helper_exec_t, portmap_initrc_exec_t, portmap_tmp_t, portmap_var_run_t, portreserve_etc_t, portreserve_exec_t, portreserve_initrc_exec_t, portreserve_var_run_t, postfix_bounce_exec_t, postfix_bounce_tmp_t, postfix_cleanup_exec_t, postfix_cleanup_tmp_t, postfix_data_t, postfix_etc_t, postfix_exec_t, postfix_initrc_exec_t, postfix_keytab_t, postfix_local_exec_t, postfix_local_tmp_t, postfix_map_exec_t, postfix_map_tmp_t, postfix_master_exec_t, postfix_pickup_exec_t, postfix_pickup_tmp_t, postfix_pipe_exec_t, postfix_pipe_tmp_t, postfix_postdrop_exec_t, postfix_postdrop_t, postfix_postqueue_exec_t, postfix_private_t, postfix_prng_t, postfix_public_t, postfix_qmgr_exec_t, postfix_qmgr_tmp_t, postfix_showq_exec_t, postfix_smtp_exec_t, postfix_smtp_tmp_t, postfix_smtpd_exec_t, postfix_smtpd_tmp_t, postfix_spool_bounce_t, postfix_spool_flush_t, postfix_spool_maildrop_t, postfix_spool_t, postfix_var_run_t, postfix_virtual_exec_t, postfix_virtual_tmp_t, postgresql_db_t, postgresql_etc_t, postgresql_exec_t, postgresql_initrc_exec_t, postgresql_lock_t, postgresql_log_t, postgresql_tmp_t, postgresql_var_run_t, postgrey_etc_t, postgrey_exec_t, postgrey_initrc_exec_t, postgrey_spool_t, postgrey_var_lib_t, postgrey_var_run_t, power_unit_file_t, pppd_etc_rw_t, pppd_etc_t, pppd_exec_t, pppd_initrc_exec_t, pppd_lock_t, pppd_log_t, pppd_secret_t, pppd_tmp_t, pppd_unit_file_t, pppd_var_run_t, pptp_exec_t, pptp_log_t, pptp_var_run_t, prelink_cache_t, prelink_cron_system_exec_t, prelink_exec_t, prelink_log_t, prelink_tmp_t, prelink_tmpfs_t, prelink_var_lib_t, prelude_audisp_exec_t, prelude_audisp_var_run_t, prelude_correlator_config_t, prelude_correlator_exec_t, prelude_exec_t, prelude_initrc_exec_t, prelude_lml_exec_t, prelude_lml_tmp_t, prelude_lml_var_run_t, prelude_log_t, prelude_spool_t, prelude_var_lib_t, prelude_var_run_t, print_spool_t, printconf_t, printer_t, privoxy_etc_rw_t, privoxy_exec_t, privoxy_initrc_exec_t, privoxy_log_t, privoxy_var_run_t, proc_t, proc_xen_t, procmail_exec_t, procmail_home_t, procmail_log_t, procmail_tmp_t, prosody_exec_t, prosody_unit_file_t, prosody_var_lib_t, prosody_var_run_t, psad_etc_t, psad_exec_t, psad_initrc_exec_t, psad_tmp_t, psad_var_lib_t, psad_var_log_t, psad_var_run_t, ptal_etc_t, ptal_exec_t, ptal_var_run_t, ptchown_exec_t, public_content_rw_t, public_content_t, publicfile_content_t, publicfile_exec_t, pulseaudio_exec_t, pulseaudio_home_t, pulseaudio_tmpfs_t, pulseaudio_var_lib_t, pulseaudio_var_run_t, puppet_etc_t, puppet_exec_t, puppet_initrc_exec_t, puppet_log_t, puppet_tmp_t, puppet_var_lib_t, puppet_var_run_t, puppetca_exec_t, puppetmaster_exec_t, puppetmaster_initrc_exec_t, puppetmaster_tmp_t, pwauth_exec_t, pwauth_var_run_t, pyicqt_exec_t, pyicqt_log_t, pyicqt_var_run_t, pyicqt_var_spool_t, qdiskd_exec_t, qdiskd_tmpfs_t, qdiskd_var_lib_t, qdiskd_var_log_t, qdiskd_var_run_t, qemu_dm_exec_t, qemu_exec_t, qemu_var_run_t, qmail_alias_home_t, qmail_clean_exec_t, qmail_etc_t, qmail_exec_t, qmail_inject_exec_t, qmail_keytab_t, qmail_local_exec_t, qmail_lspawn_exec_t, qmail_queue_exec_t, qmail_remote_exec_t, qmail_rspawn_exec_t, qmail_send_exec_t, qmail_smtpd_exec_t, qmail_splogger_exec_t, qmail_spool_t, qmail_start_exec_t, qmail_tcp_env_exec_t, qpidd_exec_t, qpidd_initrc_exec_t, qpidd_tmp_t, qpidd_tmpfs_t, qpidd_var_lib_t, qpidd_var_run_t, quantum_exec_t, quantum_initrc_exec_t, quantum_log_t, quantum_tmp_t, quantum_unit_file_t, quantum_var_lib_t, quota_db_t, quota_exec_t, quota_flag_t, quota_nld_exec_t, quota_nld_var_run_t, rabbitmq_beam_exec_t, rabbitmq_epmd_exec_t, rabbitmq_initrc_exec_t, rabbitmq_var_lib_t, rabbitmq_var_lock_t, rabbitmq_var_log_t, rabbitmq_var_run_t, racoon_exec_t, racoon_tmp_t, radiusd_etc_rw_t, radiusd_etc_t, radiusd_exec_t, radiusd_initrc_exec_t, radiusd_log_t, radiusd_unit_file_t, radiusd_var_lib_t, radiusd_var_run_t, radvd_etc_t, radvd_exec_t, radvd_initrc_exec_t, radvd_var_run_t, ramfs_t, random_seed_t, rdisc_exec_t, readable_t, readahead_exec_t, readahead_var_lib_t, readahead_var_run_t, realmd_exec_t, realmd_tmp_t, realmd_var_cache_t, realmd_var_lib_t, redis_exec_t, redis_initrc_exec_t, redis_log_t, redis_unit_file_t, redis_var_lib_t, redis_var_run_t, regex_milter_data_t, regex_milter_exec_t, removable_t, restorecond_exec_t, restorecond_var_run_t, rhev_agentd_exec_t, rhev_agentd_log_t, rhev_agentd_tmp_t, rhev_agentd_unit_file_t, rhev_agentd_var_run_t, rhgb_exec_t, rhgb_tmpfs_t, rhsmcertd_exec_t, rhsmcertd_initrc_exec_t, rhsmcertd_lock_t, rhsmcertd_log_t, rhsmcertd_var_lib_t, rhsmcertd_var_run_t, ricci_exec_t, ricci_initrc_exec_t, ricci_modcluster_exec_t, ricci_modcluster_var_lib_t, ricci_modcluster_var_log_t, ricci_modcluster_var_run_t, ricci_modclusterd_exec_t, ricci_modclusterd_tmpfs_t, ricci_modlog_exec_t, ricci_modrpm_exec_t, ricci_modservice_exec_t, ricci_modstorage_exec_t, ricci_modstorage_lock_t, ricci_tmp_t, ricci_var_lib_t, ricci_var_log_t, ricci_var_run_t, rlogind_exec_t, rlogind_home_t, rlogind_keytab_t, rlogind_tmp_t, rlogind_var_run_t, rngd_exec_t, rngd_initrc_exec_t, rngd_unit_file_t, root_t, roundup_exec_t, roundup_initrc_exec_t, roundup_var_lib_t, roundup_var_run_t, rpc_pipefs_t, rpcbind_exec_t, rpcbind_initrc_exec_t, rpcbind_var_lib_t, rpcbind_var_run_t, rpcd_exec_t, rpcd_initrc_exec_t, rpcd_unit_file_t, rpcd_var_run_t, rpm_exec_t, rpm_file_t, rpm_log_t, rpm_script_exec_t, rpm_script_tmp_t, rpm_script_tmpfs_t, rpm_tmp_t, rpm_tmpfs_t, rpm_var_cache_t, rpm_var_lib_t, rpm_var_run_t, rshd_exec_t, rshd_keytab_t, rssh_chroot_helper_exec_t, rssh_exec_t, rssh_ro_t, rssh_rw_t, rsync_data_t, rsync_etc_t, rsync_exec_t, rsync_log_t, rsync_tmp_t, rsync_var_run_t, rtkit_daemon_exec_t, rtkit_daemon_initrc_exec_t, run_init_exec_t, rwho_exec_t, rwho_initrc_exec_t, rwho_log_t, rwho_spool_t, samba_etc_t, samba_initrc_exec_t, samba_log_t, samba_net_exec_t, samba_net_tmp_t, samba_secrets_t, samba_share_t, samba_unconfined_script_exec_t, samba_unit_file_t, samba_var_t, sambagui_exec_t, sandbox_devpts_t, sandbox_exec_t, sandbox_file_t, sandbox_min_client_tmpfs_t, sandbox_net_client_tmpfs_t, sandbox_web_client_tmpfs_t, sandbox_x_client_tmpfs_t, sandbox_xserver_tmpfs_t, sanlock_exec_t, sanlock_initrc_exec_t, sanlock_log_t, sanlock_unit_file_t, sanlock_var_run_t, saslauthd_exec_t, saslauthd_initrc_exec_t, saslauthd_keytab_t, saslauthd_var_run_t, sblim_gatherd_exec_t, sblim_initrc_exec_t, sblim_reposd_exec_t, sblim_var_run_t, screen_exec_t, screen_home_t, screen_var_run_t, secadm_sudo_tmp_t, sectool_tmp_t, sectool_var_lib_t, sectool_var_log_t, sectoolm_exec_t, security_t, selinux_config_t, selinux_login_config_t, selinux_munin_plugin_exec_t, selinux_munin_plugin_tmp_t, selinux_var_lib_t, semanage_exec_t, semanage_read_lock_t, semanage_store_t, semanage_tmp_t, semanage_trans_lock_t, semanage_var_lib_t, sendmail_exec_t, sendmail_initrc_exec_t, sendmail_keytab_t, sendmail_log_t, sendmail_tmp_t, sendmail_var_run_t, sensord_exec_t, sensord_initrc_exec_t, sensord_unit_file_t, sensord_var_run_t, services_munin_plugin_exec_t, services_munin_plugin_tmp_t, services_munin_plugin_tmpfs_t, session_dbusd_tmp_t, setfiles_exec_t, setkey_exec_t, setrans_exec_t, setrans_initrc_exec_t, setrans_var_run_t, setroubleshoot_fixit_exec_t, setroubleshoot_var_lib_t, setroubleshoot_var_log_t, setroubleshoot_var_run_t, setroubleshootd_exec_t, setsebool_exec_t, seunshare_exec_t, sge_execd_exec_t, sge_job_exec_t, sge_shepherd_exec_t, sge_spool_t, sge_tmp_t, shadow_t, shell_exec_t, shorewall_etc_t, shorewall_exec_t, shorewall_initrc_exec_t, shorewall_lock_t, shorewall_log_t, shorewall_tmp_t, shorewall_var_lib_t, showmount_exec_t, slapd_cert_t, slapd_db_t, slapd_etc_t, slapd_exec_t, slapd_initrc_exec_t, slapd_keytab_t, slapd_lock_t, slapd_log_t, slapd_replog_t, slapd_tmp_t, slapd_tmpfs_t, slapd_unit_file_t, slapd_var_run_t, slpd_exec_t, slpd_initrc_exec_t, slpd_log_t, slpd_var_run_t, smbcontrol_exec_t, smbd_exec_t, smbd_keytab_t, smbd_tmp_t, smbd_var_run_t, smbmount_exec_t, smokeping_exec_t, smokeping_initrc_exec_t, smokeping_var_lib_t, smokeping_var_run_t, smoltclient_exec_t, smoltclient_tmp_t, smsd_exec_t, smsd_initrc_exec_t, smsd_log_t, smsd_spool_t, smsd_tmp_t, smsd_var_lib_t, smsd_var_run_t, snmpd_exec_t, snmpd_initrc_exec_t, snmpd_log_t, snmpd_var_lib_t, snmpd_var_run_t, snort_etc_t, snort_exec_t, snort_initrc_exec_t, snort_log_t, snort_tmp_t, snort_var_run_t, sosreport_exec_t, sosreport_tmp_t, sosreport_tmpfs_t, sosreport_var_run_t, soundd_etc_t, soundd_exec_t, soundd_initrc_exec_t, soundd_state_t, soundd_tmp_t, soundd_tmpfs_t, soundd_var_run_t, spamass_milter_data_t, spamass_milter_exec_t, spamass_milter_state_t, spamc_exec_t, spamc_home_t, spamc_tmp_t, spamd_compiled_t, spamd_etc_t, spamd_exec_t, spamd_initrc_exec_t, spamd_log_t, spamd_spool_t, spamd_tmp_t, spamd_update_exec_t, spamd_var_lib_t, spamd_var_run_t, spufs_t, squid_cache_t, squid_conf_t, squid_cron_exec_t, squid_exec_t, squid_initrc_exec_t, squid_log_t, squid_tmp_t, squid_tmpfs_t, squid_var_run_t, squirrelmail_spool_t, src_t, srvsvcd_exec_t, srvsvcd_var_lib_t, srvsvcd_var_run_t, srvsvcd_var_socket_t, ssh_agent_exec_t, ssh_agent_tmp_t, ssh_exec_t, ssh_home_t, ssh_keygen_exec_t, ssh_keysign_exec_t, ssh_tmpfs_t, sshd_exec_t, sshd_initrc_exec_t, sshd_key_t, sshd_keytab_t, sshd_tmpfs_t, sshd_unit_file_t, sshd_var_run_t, sssd_conf_t, sssd_exec_t, sssd_initrc_exec_t, sssd_public_t, sssd_unit_file_t, sssd_var_lib_t, sssd_var_log_t, sssd_var_run_t, staff_sudo_tmp_t, stapserver_exec_t, stapserver_log_t, stapserver_tmp_t, stapserver_var_lib_t, stapserver_var_run_t, stunnel_etc_t, stunnel_exec_t, stunnel_tmp_t, stunnel_var_run_t, su_exec_t, sudo_db_t, sudo_exec_t, sulogin_exec_t, svc_conf_t, svc_log_t, svc_multilog_exec_t, svc_run_exec_t, svc_start_exec_t, svc_svc_t, svirt_home_t, svirt_image_t, svirt_sandbox_file_t, svirt_tmp_t, svirt_tmpfs_t, svnserve_content_t, svnserve_exec_t, svnserve_initrc_exec_t, svnserve_tmp_t, svnserve_unit_file_t, svnserve_var_run_t, swapfile_t, swat_exec_t, swat_tmp_t, swat_var_run_t, swift_data_t, swift_exec_t, swift_unit_file_t, swift_var_cache_t, swift_var_run_t, sysadm_passwd_tmp_t, sysadm_sudo_tmp_t, sysctl_fs_t, sysctl_t, sysfs_t, syslog_conf_t, syslogd_exec_t, syslogd_initrc_exec_t, syslogd_keytab_t, syslogd_tmp_t, syslogd_var_lib_t, syslogd_var_run_t, sysstat_exec_t, sysstat_initrc_exec_t, sysstat_log_t, system_conf_t, system_cron_spool_t, system_cronjob_lock_t, system_cronjob_tmp_t, system_cronjob_var_lib_t, system_cronjob_var_run_t, system_dbusd_tmp_t, system_dbusd_var_lib_t, system_dbusd_var_run_t, system_mail_tmp_t, system_map_t, system_munin_plugin_exec_t, system_munin_plugin_tmp_t, systemd_hostnamed_exec_t, systemd_localed_exec_t, systemd_logger_exec_t, systemd_logind_exec_t, systemd_logind_inhibit_var_run_t, systemd_logind_sessions_t, systemd_logind_var_lib_t, systemd_logind_var_run_t, systemd_notify_exec_t, systemd_passwd_agent_exec_t, systemd_passwd_var_run_t, systemd_sysctl_exec_t, systemd_systemctl_exec_t, systemd_timedated_exec_t, systemd_tmpfiles_exec_t, systemd_unit_file_t, systemd_vconsole_unit_file_t, sysv_t, tcpd_exec_t, tcpd_tmp_t, tcsd_exec_t, tcsd_initrc_exec_t, tcsd_var_lib_t, telepathy_cache_home_t, telepathy_data_home_t, telepathy_gabble_cache_home_t, telepathy_gabble_exec_t, telepathy_gabble_tmp_t, telepathy_idle_exec_t, telepathy_idle_tmp_t, telepathy_logger_cache_home_t, telepathy_logger_data_home_t, telepathy_logger_exec_t, telepathy_logger_tmp_t, telepathy_mission_control_cache_home_t, telepathy_mission_control_data_home_t, telepathy_mission_control_exec_t, telepathy_mission_control_home_t, telepathy_mission_control_tmp_t, telepathy_msn_exec_t, telepathy_msn_tmp_t, telepathy_salut_exec_t, telepathy_salut_tmp_t, telepathy_sofiasip_exec_t, telepathy_sofiasip_tmp_t, telepathy_stream_engine_exec_t, telepathy_stream_engine_tmp_t, telepathy_sunshine_exec_t, telepathy_sunshine_home_t, telepathy_sunshine_tmp_t, telnetd_exec_t, telnetd_keytab_t, telnetd_tmp_t, telnetd_var_run_t, test_file_t, tetex_data_t, textrel_shlib_t, tftpd_etc_t, tftpd_exec_t, tftpd_var_run_t, tftpdir_rw_t, tftpdir_t, tgtd_exec_t, tgtd_initrc_exec_t, tgtd_tmp_t, tgtd_tmpfs_t, tgtd_var_lib_t, tgtd_var_run_t, thin_aeolus_configserver_exec_t, thin_aeolus_configserver_lib_t, thin_aeolus_configserver_log_t, thin_aeolus_configserver_var_run_t, thin_exec_t, thin_log_t, thin_var_run_t, thumb_exec_t, thumb_home_t, thumb_tmp_t, thumb_tmpfs_t, tmp_t, tmpfs_t, tmpreaper_exec_t, tomcat_cache_t, tomcat_exec_t, tomcat_log_t, tomcat_tmp_t, tomcat_unit_file_t, tomcat_var_lib_t, tomcat_var_run_t, tor_etc_t, tor_exec_t, tor_initrc_exec_t, tor_unit_file_t, tor_var_lib_t, tor_var_log_t, tor_var_run_t, traceroute_exec_t, tuned_etc_t, tuned_exec_t, tuned_initrc_exec_t, tuned_log_t, tuned_rw_etc_t, tuned_tmp_t, tuned_var_run_t, tvtime_exec_t, tvtime_home_t, tvtime_tmp_t, tvtime_tmpfs_t, udev_etc_t, udev_exec_t, udev_helper_exec_t, udev_rules_t, udev_tmp_t, udev_var_run_t, ulogd_etc_t, ulogd_exec_t, ulogd_initrc_exec_t, ulogd_modules_t, ulogd_var_log_t, uml_exec_t, uml_ro_t, uml_rw_t, uml_switch_exec_t, uml_switch_var_run_t, uml_tmp_t, uml_tmpfs_t, unconfined_exec_t, unconfined_munin_plugin_exec_t, unconfined_munin_plugin_tmp_t, update_modules_exec_t, update_modules_tmp_t, updfstab_exec_t, updpwd_exec_t, usbfs_t, usbmodules_exec_t, usbmuxd_exec_t, usbmuxd_unit_file_t, usbmuxd_var_run_t, user_cron_spool_t, user_devpts_t, user_fonts_cache_t, user_fonts_config_t, user_fonts_t, user_home_dir_t, user_home_t, user_mail_tmp_t, user_tmp_t, user_tmpfs_t, useradd_exec_t, useradd_var_run_t, userhelper_conf_t, userhelper_exec_t, usernetctl_exec_t, usr_t, utempter_exec_t, uucpd_exec_t, uucpd_initrc_exec_t, uucpd_lock_t, uucpd_log_t, uucpd_ro_t, uucpd_rw_t, uucpd_spool_t, uucpd_tmp_t, uucpd_var_run_t, uuidd_exec_t, uuidd_initrc_exec_t, uuidd_var_lib_t, uuidd_var_run_t, uux_exec_t, var_auth_t, var_lib_nfs_t, var_lib_t, var_lock_t, var_log_t, var_run_t, var_spool_t, var_t, var_yp_t, varnishd_etc_t, varnishd_exec_t, varnishd_initrc_exec_t, varnishd_tmp_t, varnishd_var_lib_t, varnishd_var_run_t, varnishlog_exec_t, varnishlog_initrc_exec_t, varnishlog_log_t, varnishlog_var_run_t, vbetool_exec_t, vdagent_exec_t, vdagent_log_t, vdagent_var_run_t, vdagentd_initrc_exec_t, vhostmd_exec_t, vhostmd_initrc_exec_t, vhostmd_tmpfs_t, vhostmd_var_run_t, virsh_exec_t, virt_bridgehelper_exec_t, virt_cache_t, virt_content_t, virt_etc_rw_t, virt_etc_t, virt_home_t, virt_image_t, virt_lock_t, virt_log_t, virt_lxc_var_run_t, virt_qemu_ga_data_t, virt_qemu_ga_exec_t, virt_qemu_ga_log_t, virt_qemu_ga_tmp_t, virt_qemu_ga_unconfined_exec_t, virt_qemu_ga_var_run_t, virt_qmf_exec_t, virt_tmp_t, virt_var_lib_t, virt_var_run_t, virtd_exec_t, virtd_initrc_exec_t, virtd_keytab_t, virtd_lxc_exec_t, virtd_unit_file_t, vlock_exec_t, vmblock_t, vmware_conf_t, vmware_exec_t, vmware_file_t, vmware_host_exec_t, vmware_host_pid_t, vmware_host_tmp_t, vmware_log_t, vmware_pid_t, vmware_sys_conf_t, vmware_tmp_t, vmware_tmpfs_t, vnstat_exec_t, vnstatd_exec_t, vnstatd_initrc_exec_t, vnstatd_var_lib_t, vnstatd_var_run_t, vpnc_exec_t, vpnc_tmp_t, vpnc_var_run_t, vxfs_t, watchdog_exec_t, watchdog_initrc_exec_t, watchdog_log_t, watchdog_var_run_t, wdmd_exec_t, wdmd_initrc_exec_t, wdmd_tmpfs_t, wdmd_var_run_t, webadm_tmp_t, webalizer_etc_t, webalizer_exec_t, webalizer_tmp_t, webalizer_usage_t, webalizer_var_lib_t, webalizer_write_t, winbind_exec_t, winbind_helper_exec_t, winbind_log_t, winbind_var_run_t, wine_exec_t, wine_home_t, wine_tmp_t, wireshark_exec_t, wireshark_home_t, wireshark_tmp_t, wireshark_tmpfs_t, wpa_cli_exec_t, wtmp_t, xauth_exec_t, xauth_home_t, xauth_tmp_t, xconsole_device_t, xdm_etc_t, xdm_exec_t, xdm_home_t, xdm_lock_t, xdm_log_t, xdm_rw_etc_t, xdm_spool_t, xdm_tmp_t, xdm_tmpfs_t, xdm_unconfined_exec_t, xdm_var_lib_t, xdm_var_run_t, xen_devpts_t, xen_image_t, xenconsoled_exec_t, xenconsoled_var_run_t, xenctl_t, xend_exec_t, xend_tmp_t, xend_var_lib_t, xend_var_log_t, xend_var_run_t, xenfs_t, xenstored_exec_t, xenstored_tmp_t, xenstored_var_lib_t, xenstored_var_log_t, xenstored_var_run_t, xferlog_t, xkb_var_lib_t, xserver_etc_t, xserver_exec_t, xserver_log_t, xserver_tmpfs_t, xserver_var_lib_t, xserver_var_run_t, xsession_exec_t, ypbind_exec_t, ypbind_initrc_exec_t, ypbind_tmp_t, ypbind_unit_file_t, ypbind_var_run_t, yppasswdd_exec_t, yppasswdd_var_run_t, ypserv_conf_t, ypserv_exec_t, ypserv_tmp_t, ypserv_var_run_t, ypxfr_exec_t, ypxfr_var_run_t, zabbix_agent_exec_t, zabbix_agent_initrc_exec_t, zabbix_exec_t, zabbix_initrc_exec_t, zabbix_log_t, zabbix_tmp_t, zabbix_tmpfs_t, zabbix_var_run_t, zarafa_deliver_exec_t, zarafa_deliver_log_t, zarafa_deliver_tmp_t, zarafa_deliver_var_run_t, zarafa_etc_t, zarafa_gateway_exec_t, zarafa_gateway_log_t, zarafa_gateway_var_run_t, zarafa_ical_exec_t, zarafa_ical_log_t, zarafa_ical_var_run_t, zarafa_indexer_exec_t, zarafa_indexer_log_t, zarafa_indexer_tmp_t, zarafa_indexer_var_run_t, zarafa_monitor_exec_t, zarafa_monitor_log_t, zarafa_monitor_var_run_t, zarafa_server_exec_t, zarafa_server_log_t, zarafa_server_tmp_t, zarafa_server_var_run_t, zarafa_share_t, zarafa_spooler_exec_t, zarafa_spooler_log_t, zarafa_spooler_var_run_t, zarafa_var_lib_t, zebra_conf_t, zebra_exec_t, zebra_initrc_exec_t, zebra_log_t, zebra_tmp_t, zebra_var_run_t, zoneminder_exec_t, zoneminder_initrc_exec_t, zoneminder_log_t, zoneminder_spool_t, zoneminder_tmpfs_t, zoneminder_unit_file_t, zoneminder_var_lib_t, zoneminder_var_run_t, zos_remote_exec_t. 
Then execute: 
restorecon -v '/etc/glusterfs'


*****  Plugin catchall (17.1 confidence) suggests   **************************

If you believe that updatedb should be allowed getattr access on the glusterfs directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep updatedb /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:locate_t:s0-s0:c0.c1023
Target Context                system_u:object_r:unlabeled_t:s0
Target Objects                /etc/glusterfs [ dir ]
Source                        updatedb
Source Path                   /usr/bin/updatedb
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           mlocate-0.26-3.el7.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-77.2.el7.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.7.0-0.36.el7.x86_64 #1 SMP Thu
                              Feb 21 14:52:48 EST 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-09-11 03:51:47 MDT
Last Seen                     2013-09-12 03:06:15 MDT
Local ID                      b4df50c8-0c0a-4b2d-bb2f-67207c81d105

Raw Audit Messages
type=AVC msg=audit(1378976775.930:3584): avc:  denied  { getattr } for  pid=28240 comm="updatedb" path="/etc/glusterfs" dev="dm-2" ino=1705090 scontext=system_u:system_r:locate_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir


type=SYSCALL msg=audit(1378976775.930:3584): arch=x86_64 syscall=lstat success=no exit=EACCES a0=7f8a13220cb9 a1=7fff749cc010 a2=7fff749cc010 a3=7f8a1102f000 items=0 ppid=28234 pid=28240 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=339 tty=(none) comm=updatedb exe=/usr/bin/updatedb subj=system_u:system_r:locate_t:s0-s0:c0.c1023 key=(null)

Hash: updatedb,locate_t,unlabeled_t,dir,getattr

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.7.0-0.36.el7.x86_64
type:           libreport
Comment 2 Milos Malik 2013-09-13 02:59:43 EDT
The /etc/glusterfs directory is not labelled. Could you run "restorecon -Rv /etc" on that machine?
Comment 3 Eric Blake 2013-09-13 08:08:54 EDT
(In reply to Milos Malik from comment #2)
> The /etc/glusterfs directory is not labelled. Could you run "restorecon -Rv
> /etc" on that machine?

Thanks, that appears to have fixed it.

Note You need to log in before you can comment on or make changes to this bug.